New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Incompatible declaration of Statamic\Data\Users\Eloquent\User::roles() #2130

Closed
rdarcy1 opened this Issue Aug 22, 2018 · 0 comments

Comments

Projects
None yet
2 participants
@rdarcy1

rdarcy1 commented Aug 22, 2018

Describe the bug
Incompatible declaration of Statamic\Data\Users\Eloquent\User::roles() (from Statamic\Permissions\Permissible trait).

The Eloquent user class does not adhere to the Statamic\Contracts\Permissions\Permissible contract, which doesn't accept any arguments to the roles() method.

In PHP 7.2 this causes a fatal error.

Environment details (please complete the following information):

  • Statamic Version 2.10.3
  • Upgrade
  • Ubuntu 18.04 (Docker)
  • Nginx
  • PHP Version 7.2
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment